PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_zttmqr | ( | PLASMA_enum | side,
|  | PLASMA_enum | trans,
|  | int | M1,
|  | int | N1,
|  | int | M2,
|  | int | N2,
|  | int | K,
|  | int | IB,
|  | PLASMA_Complex64_t * | A1,
|  | int | LDA1,
|  | PLASMA_Complex64_t * | A2,
|  | int | LDA2,
|  | const PLASMA_Complex64_t * | V,
|  | int | LDV,
|  | const PLASMA_Complex64_t * | T,
|  | int | LDT,
|  | PLASMA_Complex64_t * | WORK,
|  | int | LDWORK
| ) |  |

CORE_zttmqr overwrites the general complex M1-by-N1 tile A1 and M2-by-N2 tile A2 (N1 == N2) with

                      SIDE = 'L'        SIDE = 'R'

TRANS = 'N': Q * | A1 | | A1 | * Q | A2 | | A2 |

TRANS = 'C': Q**H * | A1 | | A1 | * Q**H | A2 | | A2 |

where Q is a complex unitary matrix defined as the product of k elementary reflectors

Q = H(1) H(2) . . . H(k)

as returned by CORE_zttqrt.

Parameters

  [in] | side | PlasmaLeft : apply Q or Q**H from the Left; PlasmaRight : apply Q or Q**H from the Right.
  [in] | trans | PlasmaNoTrans : No transpose, apply Q; PlasmaConjTrans : ConjTranspose, apply Q**H.
  [in] | M1 | The number of rows of the tile A1. M1 >= 0.
  [in] | N1 | The number of columns of the tile A1. N1 >= 0.
  [in] | M2 | The number of rows of the tile A2. M2 >= 0.
  [in] | N2 | The number of columns of the tile A2. N2 >= 0.
  [in] | K | The number of elementary reflectors whose product defines the matrix Q.
  [in] | IB | The inner-blocking size. IB >= 0.
  [in,out] | A1 | On entry, the M1-by-N1 tile A1. On exit, A1 is overwritten by the application of Q.
  [in] | LDA1 | The leading dimension of the array A1. LDA1 >= max(1,M1).
  [in,out] | A2 | On entry, the M2-by-N2 tile A2. On exit, A2 is overwritten by the application of Q.
  [in] | LDA2 | The leading dimension of the tile A2. LDA2 >= max(1,M2).
  [in] | V | The i-th row must contain the vector which defines the elementary reflector H(i), for i = 1,2,...,k, as returned by CORE_ZTTQRT in the first k rows of its array argument V.
  [in] | LDV | The leading dimension of the array V. LDV >= max(1,K).
  [in] | T | The IB-by-N1 triangular factor T of the block reflector. T is upper triangular by block (economic storage); The rest of the array is not referenced.
  [in] | LDT | The leading dimension of the array T. LDT >= IB.
  [out] | WORK | Workspace array of size LDWORK-by-N1.
  [in] | LDWORK | The dimension of the array WORK. LDWORK >= max(1,IB).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value